------------------------------------------------------------------------------------
--Name:			191227[简体征服][任务脚本]忍者觉醒版本-忍者觉醒剧情任务
--Creator:		兰瑞妹
--Created:		2020/01/02
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>37
-- /chgmap 10770 64 70
-- 1.地图为全白底图，或者family06-02_new（不做）
-- 2.玩家与Taeko Sensei站在屏幕中对话
-- 3.对话还有两句结束时开始白屏，对话结束后白屏结束

-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(64, 70)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
local hero = CppScriptMgr:QueryHero()
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "Name", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "Newbie", 4003000001)

hero:SetPos(65, 68)
-- 等待1000毫秒
-- CppScriptMgr:WaitMilSec(1000)
-- 设置玩家方向，[0, 7]-八方向
hero:SetDir(1)
hero:SetAction(401)
-- hero:SetCtrlMapView(1)

local player0 = CppScriptMgr:AddSimplePlayer(1058385, 61, 72, "Fumotaro", 4002000090,1)
player0:SetArmor(194905,0,1)
player0:SetRWeapon(0, 0, 1)
player0:SetLWeapon(0, 0, 1)
player0:SetHair(20, 1)
player0:SetBattleLev(450)
player0:SetDir(5)

--对峙
player0:SetAction(140)
CppScriptMgr:WaitMilSec(300)
hero:SetAction(340)
player0:JumpTo(57,75)
CppScriptMgr:WaitMilSec(800)
player0:SetDir(5)
player0:AddEffect("HHMS_WZ")
CppScriptMgr:WaitMilSec(200)
player0:AddEffect("HHMS_Fire")
CppScriptMgr:WaitMilSec(500)
hero:JumpTo(72, 63)
CppScriptMgr:WaitMilSec(800)
hero:SetDir(1)
--对话BB
CppScriptMgr:WaitMilSec(1200)
-- CppScriptMgr:NpcCallOut(" <Gasp>Huh... Huh...\n(Won`t he be tired?)\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc208", 150, 430, "Me", 250, 655)
hero:Say("<Gasp>Huh... Huh...\n(Won`t he be tired?)", 2000)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("Are you tire?\n\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc209", 150, 430, "Fumotaro", 250, 655)
CppScriptMgr:WaitMilSec(2000)
-- CppScriptMgr:NpcCallOut("Shut up!\n\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc208", 150, 430, "Me", 250, 655)
hero:Say("Shut up!", 2000)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("Useless. Feel the desperation!\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc209", 150, 430, "Fumotaro", 250, 655)
CppScriptMgr:WaitMilSec(2000)

--BOSS变身
player0:AddEffect("slowliquid")
player0:SetAction(160)
CppScriptMgr:NpcCallOut("<Pain>Ahhhhh!!!!\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc209", 150, 430, "Fumotaro", 250, 655)
CppScriptMgr:WaitMilSec(1500)
player0:AddEffect("BlueChixv")
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:NpcCallOut("I will wipe out you and all those disgusting toads.\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc209", 150, 430, "Fumotaro", 250, 655)
CppScriptMgr:WaitMilSec(2000)
player0:AddEffect("BlueChixv")
CppScriptMgr:NpcCallOut("(Recalling) The Gate of Death is always your last option.\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc196", 150, 430, "Taeko Sensei", 250, 655)
CppScriptMgr:WaitMilSec(2000)
player0:AddEffect("BlueChixv")
-- CppScriptMgr:NpcCallOut("(It`s now. I can buy at least 30 years for them.)\n\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc208", 150, 430, "Me", 250, 655)
hero:Say("(It`s now. I can buy at least 30 years for them.)", 2000)
CppScriptMgr:WaitMilSec(2000)
player0:AddEffect("BlueChixv")
-- CppScriptMgr:NpcCallOut("(We die to live.)\nGate of Death, open!\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc208", 150, 430, "Me", 250, 655)
hero:Say("(We die to live.)\nGate of Death, open!", 2000)
CppScriptMgr:WaitMilSec(1000)
player0:AddEffect("BlueChixv")
CppScriptMgr:WaitMilSec(250)
hero:SetAction(905)
CppScriptMgr:WaitMilSec(250)
--玩家开死门绝杀
hero:AddEffect("RedChixv")
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:NpcCallOut("What?!\nI can`t see his move!\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc209", 150, 430, "Fumotaro", 250, 655)
hero:SetHide(1)
CppScriptMgr:WaitMilSec(500)
hero:JumpTo(60, 72)
CppScriptMgr:WaitMilSec(1000)
hero:SetHide(0)
CppScriptMgr:WaitMilSec(500)
hero:SetAction(401)
player0:SetAction(340)
CppScriptMgr:WaitMilSec(1000)
hero:SetAction(340)
CppScriptMgr:WaitMilSec(1000)
hero:SetHide(1)
player0:SetHide(1)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:SetDarkScreen(1000)
CppScriptMgr:WaitMilSec(1000)